org.apache.commons.math.util

## Interface NumberTransformer

All Known Implementing Classes:
  DefaultTransformer, TransformerMap

    public interface NumberTransformer

Subclasses implementing this interface can transform Objects to doubles.

Version:
  $Revision: 811685 $ $Date: 2009-09-05 19:36:48 +0200 (sam. 05 sept. 2009) $ No longer extends Serializable since 2.0

### Method Summary

Methods
`double` `transform(java.lang.Object o)` Implementing this interface provides a facility to transform from Object to Double.

### Method Detail

#### transform

    double transform(java.lang.Object o)
                     throws MathException

Implementing this interface provides a facility to transform from Object to Double.

Parameters:
  `o` - the Object to be transformed.
Returns:
  the double value of the Object.
Throws:
  `MathException` - if the Object can not be transformed into a Double.